org.apache.ivy.core.retrieve

## Class RetrieveReport

- java.lang.Object
- - org.apache.ivy.core.retrieve.RetrieveReport

    public class RetrieveReport
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RetrieveReport()`

### Method Summary

Methods
`void` `addCopiedFile(java.io.File file, ArtifactDownloadReport report)`
`void` `addUpToDateFile(java.io.File file, ArtifactDownloadReport report)`
`java.util.Collection` `getCopiedFiles()` Returns a collection of `File` objects who were actually copied during the retrieve process.
`java.util.Map` `getDownloadReport()` Get the mapping between the copied files and their corresponding download report
`int` `getNbrArtifactsCopied()`
`int` `getNbrArtifactsUpToDate()`
`java.util.Collection` `getRetrievedFiles()` Returns a collection of `File` objects who were retrieved during the retrieve process.
`java.io.File` `getRetrieveRoot()` Returns the root directory to where the artifacts are retrieved.
`java.util.Collection` `getUpToDateFiles()` Returns a collection of `File` objects who were actually copied during the retrieve process.
`void` `setRetrieveRoot(java.io.File retrieveRoot)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetrieveReport

    public RetrieveReport()

### Method Detail

#### getRetrieveRoot

    public java.io.File getRetrieveRoot()

Returns the root directory to where the artifacts are retrieved.

#### setRetrieveRoot

    public void setRetrieveRoot(java.io.File retrieveRoot)

#### getNbrArtifactsCopied

    public int getNbrArtifactsCopied()

#### getNbrArtifactsUpToDate

    public int getNbrArtifactsUpToDate()

#### addCopiedFile

    public void addCopiedFile(java.io.File file,
                     ArtifactDownloadReport report)

#### addUpToDateFile

    public void addUpToDateFile(java.io.File file,
                       ArtifactDownloadReport report)

#### getCopiedFiles

    public java.util.Collection getCopiedFiles()

Returns a collection of `File` objects who were actually copied during the retrieve process.

#### getUpToDateFiles

    public java.util.Collection getUpToDateFiles()

Returns a collection of `File` objects who were actually copied during the retrieve process.

#### getRetrievedFiles

    public java.util.Collection getRetrievedFiles()

Returns a collection of `File` objects who were retrieved during the retrieve process. This is the union of the files being copied and the files that were up-to-date.

#### getDownloadReport

    public java.util.Map getDownloadReport()

Get the mapping between the copied files and their corresponding download report